=== src/grand-search/CMakeLists.txt ===
--- 
+++ 
@@ -143,6 +143,14 @@
     gui/searchconfig/blacklistwidget.h
     gui/searchconfig/indexwidget.cpp
     gui/searchconfig/indexwidget.h
+    gui/searchconfig/intelligentretrieval/intelligentretrievalwidget.h
+    gui/searchconfig/intelligentretrieval/intelligentretrievalwidget.cpp
+    gui/searchconfig/roundedbackground.h
+    gui/searchconfig/roundedbackground.cpp
+    gui/searchconfig/intelligentretrieval/detailcheckbox.cpp
+    gui/searchconfig/intelligentretrieval/detailcheckbox.h
+    gui/searchconfig/intelligentretrieval/autoindexstatus.cpp
+    gui/searchconfig/intelligentretrieval/autoindexstatus.h
     )
 
 # business
@@ -184,7 +192,6 @@
 set(SRCS
     main.cpp
     ${GLOBAL_SRC}
-    ${BURYINGPOINT_SRC}
     ${GUISRC}
     ${BUSINESSSRC}
     ${CONTACTSSRC}
