=== src/libgrand-search-daemon/CMakeLists.txt ===
--- 
+++ 
@@ -80,7 +80,6 @@
     searcher/extend/extendsearcher.cpp
     searcher/extend/extendworker.h
     searcher/extend/extendworker.cpp
-    ${SEMANTIC_FILES}
 )
 
 #文件搜索
@@ -123,6 +122,13 @@
         searcher/file/filesearchutils.cpp
         ${PROJECT_3RDPARTY_PATH}/interfaces/anything_interface.h
         ${PROJECT_3RDPARTY_PATH}/interfaces/anything_interface.cpp
+        ${SEMANTIC_FILES}
+    )
+
+    set(LINK_LIBS
+        ${LINK_LIBS}
+        semanticparser
+        luceneengine
     )
 endif()
 
@@ -215,8 +221,6 @@
 
 target_link_libraries(${LIB_NAME} PRIVATE
     ${LINK_LIBS}
-    semanticparser
-    luceneengine
 )
 
 # lib
