=== debian/changelog ===
dde-grand-search (5.5.2) unstable; urgency=medium

  * update dde-grand-search V23 5.5.2 baseline version

 -- zhengyouge <zhengyouge@uniontech.com>  Mon, 12 Aug 2024 10:27:09 +0800

dde-grand-search (5.5.1) unstable; urgency=medium

  * update dde-grand-search V23 5.5.1 baseline version

 -- zhangyu <zhangyub@uniontech.com>  Wed, 7 Aug 2024 21:21:23 +0800
 

dde-grand-search (5.5.0) unstable; urgency=medium

  * update dde-grand-search V23 5.5.0 baseline version

 -- zhangyu <zhangyub@uniontech.com>  Thu, 13 Jun 2024 21:41:46 +0800
 

dde-grand-search (5.4.9) unstable; urgency=medium

  * update dde-grand-search V23 5.4.9 baseline version

 -- zhanghongyuan <zhanghongyuan@uniontech.com>  Thu, 25 Apr 2024 10:36:46 +0800

dde-grand-search (5.4.8) unstable; urgency=medium

  * fix issue about launch app.
  * 

 -- xushitong <xushitong@uniontech.com>  Fri, 19 Apr 2024 13:52:11 +0800

dde-grand-search (5.4.5) unstable; urgency=medium

  * update dde-grand-search V23 5.4.5 baseline version

 -- Zhang Yu <zhangyub@uniontech.com>  Wed, 29 Nov 2023 17:34:00 +0800
 

dde-grand-search (5.4.4) unstable; urgency=medium

  * update dde-grand-search V23 5.4.4 baseline version

 -- zhengyouge <zhengyouge@uniontech.com>  Mon, 16 Jan 2023 22:45:13 +0800

dde-grand-search (5.4.2) unstable; urgency=medium

  * Pre-release for dde-grand-search 5.4.2

 -- Zhang Yu <zhangyub@uniontech.com>  Tues, 10 Jan 2023 11:36:00 +0800

dde-grand-search (5.4.1) unstable; urgency=medium

  * Pre-release for dde-grand-search 5.4.1

 -- Zhang Yu <zhangyub@uniontech.com>  Mon, 24 Oct 2022 15:42:00 +0800

dde-grand-search (5.4.0) unstable; urgency=medium

  * Pre-release for dde-grand-search 5.4.0

 -- Zhang Yu <zhangyub@uniontech.com>  Mon, 17 Oct 2022 9:52:00 +0800
