=== debian/control ===
--- 
+++ 
@@ -15,11 +15,15 @@
  cmake,
  dde-dock-dev,
  libglib2.0-dev,
- libpoppler-qt5-dev,
+ libffmpegthumbnailer-dev,
+ libavformat-dev,
+ libavcodec-dev,
  libtag1-dev,
  libicu-dev,
  libgsettings-qt-dev,
  libpcre3-dev,
+ libdeepin-pdfium-dev,
+ libjpeg62-turbo-dev,
  liblucene++-dev,
  libboost-dev
 Standards-Version: 3.9.8
@@ -27,16 +31,11 @@
 
 Package: dde-grand-search
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends},
 Recommends:
- deepin-anything-server[i386 amd64],
  deepin-desktop-schemas (>=5.8.0.34),
  dde-daemon (>=5.12.0.31),
  startdde (>=5.6.0.34),
- libimageeditor (>=1.0.19),
-Conflicts:
- deepin-ai-daemon (<= 1.0.5)
-Replaces:
- deepin-ai-daemon (<= 1.0.5)
+ deepin-anything-server[i386 amd64]
 Description: deepin desktop-environment - search module
  Search module of deepin desktop-environment
